<!-- GENERATED BY A EUPHORIA PROGRAM. DO NOT EDIT! -->


<html>
<head><title>How to Install Euphoria</title>
<style type="text/css">
<!--
body        {background-color: "#FFFFFF";}
a           {text-decoration: none;}
a:link      {color: "#0033BB"; text-decoration: underline;}
a:visited   {color: "#006699"; text-decoration: underline;}
a:active    {color: red; text-decoration: underline;}
a:hover     {color: red; text-decoration: underline;}
a.blue    {text-decoration: none;}
a.blue:link      {color: "#5500FF"; text-decoration: underline;}
a.blue:visited   {color: "#5500FF"; text-decoration: underline;}
a.blue:active    {color: red; text-decoration: underline;}
a.blue:hover     {color: red; text-decoration: underline;}
a.brown      {text-decoration: none;}
a.brown:link      {color: "#993333"; text-decoration: underline;}
a.brown:visited   {color: "#993333"; text-decoration: underline;}
a.brown:active    {color: red; text-decoration: underline;}
a.brown:hover     {color: red; text-decoration: underline;}
-->
</style>

</head>
<body bgcolor="#FFFFFF" link="#0033BB" vlink="#006699">
<table width=90% border=0><tr><td>

<center><font face="Arial, Helvetica" color="#FF0099" size=+2>
<br>
 How to Install Euphoria on Windows
</font></center>

<p>&nbsp;<br>
<p>
Download and run the latest Euphoria setup program. 
It will install Euphoria on any
Windows system from Windows 95 up. 

<p>
 After installing, 
 see <font color="#5500FF"><b>doc\what2do.doc</b></font>
 (or <a href="what2do.htm"><b>html\what2do.htm</b></a>) for ideas on how
 to use this package. You should also read
 <font color="#5500FF"><b>readme.doc</b></font> (or
 <font color="#006699"><b>readme.htm</b></font>) if you haven't done so
 already.
<p>&nbsp;

<br>
<font face="Arial, Helvetica" color="#003366">
<b>Possible problems ...</b></font>

<ul>
<li>
 If the install appeared to run ok, but example programs are not working,
 did you remember to shut down and restart your computer?

<p>
<li>
 On Windows XP/2000, be careful that your PATH and EUDIR do not conflict with
 <b>autoexec.nt</b>, which can also be used to set environment variables.

<p>
<li>
 On WinME/98/95 
 if the <font color="#993333"><b>install</b></font> 
 program fails to edit your <b>autoexec.bat</b> file, you will have
 to do it yourself. Follow the manual procedure described below.

<p>
<li>
 Euphoria can be run under DOS on older Win 3.1 systems, but we
 no longer maintain an install program for this. You'll have to 
 install Euphoria on a newer system and then copy your EUPHORIA 
 directory to the old system. Set up AUTOEXEC.BAT manually 
 on the old system as described below.
</ul>


<p>&nbsp;<br>
<a name=manual></a>
<font face="Arial, Helvetica" color="#003366">
<b>How to manually edit autoexec.bat (WinME/98/95/3.1) </b></font>

<p>
<table border=0 cellspacing=2 cellpadding=2>

<tr><td width=24 nowrap></td><td valign=top><b>1.</b></td>
<td width=10 align=center valign=top>-</td>
<td>In the file <b>c:\autoexec.bat</b> add
   <b>C:\EUPHORIA\BIN</b> to the list of directories in your <b>PATH</b> command.
   You might use the MS-DOS Edit command, Windows Notepad or any other text
   editor to do this. 
   
   <p>
   You can also go to the Start Menu, select Run, type in <b>sysedit</b>
   and press Enter. <b>autoexec.bat</b> should appear as one of the 
   system files that you can edit and save.</td></tr>


<tr><td width=24 nowrap></td><td valign=top><b>2.</b></td>
<td width=10 align=center valign=top>-</td>
<td>In the same <b>autoexec.bat</b> file add a new line:</td></tr>


<tr><td></td><td></td><td></td><td>
<pre><b></b><font color="#330033">        SET EUDIR=C:\EUPHORIA</font>
</pre></td></tr>


<tr><td width=24 nowrap></td><td valign=top><b></b></td>
<td align=center valign=top></td>
<td>The <b>EUDIR</b> environment variable indicates the full path to
   the main Euphoria directory.</td></tr>


<tr><td width=24 nowrap></td><td valign=top><b>3.</b></td>
<td width=10 align=center valign=top>-</td>
<td>Reboot (restart) your machine. This will define your new
   <b>PATH</b> and <b>EUDIR</b> environment variables.</td></tr>


</table>


<p>
 On WinNT/2000/XP and higher, if for some reason 
 your <b>EUDIR</b> and <b>PATH</b> variables 
 are not set correctly, then set them in whatever
 way your system allows. For example on Windows XP select: 
 Start Menu -> Control Panel -> Performance&Maintenance ->
 System -> Advanced 
 then click the "Environment Variables" button.
 Click the top "New..." button then enter <b>EUDIR</b> as the 
 Variable Name and <b>c:\euphoria</b> (or whatever is correct) for 
 the value, then click OK.
 Find <b>PATH</b> in the list of your variables, select it, 
 then click "Edit...". Add <b>;c:\euphoria\bin</b> at the end 
 and click OK.

<p>
 Some systems, such as Windows ME, have an <b>autoexec.bat</b> file,
 but it's a hidden file that might not show up in a directory listing.
 Nevertheless it's there, and you can view it and edit it if necessary
 by typing, for example: <b>notepad c:\autoexec.bat</b> in a DOS window.
 
<p>
 If you have an <b>autoexec.bat</b> file, but it
 doesn't contain a PATH command, you will have to create one that includes 
 <font color="#5500FF"><b>C:\EUPHORIA\BIN</b></font>.

<p>
 There is another, optional, environment variable used by some 
 experienced users of Euphoria. It is called EUINC (see
 http://www.rapideuphoria.com/cgi-bin/guru.exu?refDoc=on&libDoc=on&otherDoc=on&keywords=euinc
 ). It determines 
 the search path for included files. You might want to add it,
 or change it, when you install a new version of Euphoria.

<p>


<b>How to Uninstall Euphoria</b>

<pre>
     1. If you wish to recover your previous version of Euphoria, or parts
        of it, the "backup" subdirectory contains a backup copy of each 
        of your previous standard Euphoria subdirectories, plus any files
        that you may have added. However it does not contain any additional 
        subdirectories that you may have created on your own.
     
     2. If there are no files that you need, you can delete the EUPHORIA 
        directory that you installed into.
     
     3. Delete the EUDIR environment variable, and remove the EUPHORIA 
        directory from your PATH, either in C:\AUTOEXEC.BAT, or in 
        Control Panel/System/Advanced.

     4. Delete the references to EUPHORIA in your Start Menu.

</pre>


<p>&nbsp;

</td></tr></table>

</body>
</html>

